SDL_HasRectIntersectionFloat(3)

NAME
SDL_HasRectIntersectionFloat - Determine whether two rectangles intersect with float precision.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_HasRectIntersectionFloat(const SDL_FRect *A, const SDL_FRect *B);

DESCRIPTION
If either pointer is NULL the function will return false.

FUNCTION PARAMETERS

A   an SDL_FRect
     structure representing the first rectangle.

B   an SDL_FRect
     structure representing the second rectangle.

RETURN VALUE
Returns true if there is an intersection, false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetRectIntersection(3)